Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.buildqueue
Class PipelineDefinition

    java.lang.Object
      EntityObject
          com.atlassian.bamboo.core.BambooEntityObject
              com.atlassian.bamboo.buildqueue.PipelineDefinition

All Implemented Interfaces:
  BambooObject, Comparable

    public class PipelineDefinition

extends BambooEntityObject
implements Comparable

Field Summary
`protected String` | `name`

Fields inherited from class com.atlassian.bamboo.core.BambooEntityObject
`id`

Constructor Summary
`PipelineDefinition()`
`PipelineDefinition(long id, String name)`

Method Summary
`int` | `compareTo(Object obj)`
`boolean` | `equals(Object o)`
`String` | `getName()`
`Set` | `getSelectedBuildKeys()`
`int` | `hashCode()`
`boolean` | `isAcceptsAllBuilds()`
`void` | `setName(String name)`
`void` | `setSelectedBuildKeys(Set selectedBuildKeys)`

Methods inherited from class com.atlassian.bamboo.core.BambooEntityObject
`getId, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected String name

Constructor Detail

### PipelineDefinition

    public PipelineDefinition()

### PipelineDefinition

    public PipelineDefinition(long id,
                              String name)

Method Detail

### getName

    public String getName()

### setName

    public void setName(String name)

### getSelectedBuildKeys

    public Set getSelectedBuildKeys()

### setSelectedBuildKeys

    public void setSelectedBuildKeys(Set selectedBuildKeys)

### isAcceptsAllBuilds

    public boolean isAcceptsAllBuilds()

### equals

    public boolean equals(Object o)

### compareTo

    public int compareTo(Object obj)

  Specified by:
    `compareTo` in interface `Comparable`

### hashCode

    public int hashCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.